package fabrik.simulator.pic16f84.interfaces;

public interface DataRegisterInterface extends PICComponentInterface {
    void clearBit(int f, int b);

    void setBit(int f, int b);

    void setPC(int pop);

    int getINTCON();

    int getPC();

    void setRegister(int file, int wRegister);

    void determineZeroFlag(int wRegister);

    int getRegister(int file);

    void setCarryFlag(int i);

    void setDigitCarryFlag(int i);

    int getCarryFlag();

    void determineCarryFlag(int result);

    void increasePC();

    void determineDigitCarryFlag(int i);

    int getBit(int address, int bit);

    int getDirectBit(int option, int psa);

    int getDirectRegister(int option);

    void setDirectBit(int option, int i, int i1);

    void setDirectRegister(int porta, int i);

    void resetPC();

    int[] getDataRegister();

    int getDigitCarryFlag();

    int getZeroFlag();

    int getFSR();

    void initDataRegister();

    int getPCL();

    int getPCLATH();

    int getSTATUS();
}
